%define	name	vice
%define version 1.14
%define release 4mdk

Summary:	VICE, the Versatile Commodore Emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Emulators
Source:		ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.bz2
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
Patch0:		http://www.viceteam.org/online/vice64bit.diff.gz
URL:		http://www.viceteam.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	readline-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	flex
#gw for mkfontdir and bdftopcf
BuildRequires:  XFree86

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q
cd src
%patch0 -p0 -b .64bit
cd -

%build
CFLAGS="$RPM_OPT_FLAGS -DNO_REGPARM" ./configure --prefix=%{_prefix} --libdir=%_libdir  --enable-gnomeui --enable-fullscreen \
%ifarch alpha
--disable-inline
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/vice << EOF
?package(vice):needs="X11" icon="commodore.png" section="Applications/Emulators" title="VICE"
?package(vice):command="%{_bindir}/x64" needs="X11" icon="c64icon.png" section="Applications/Emulators/VICE" title="C64 Emulator" longtitle="Commodore 64 Emulator" 	mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="%{_bindir}/x128" needs="X11" icon="c128icon.png" section="Applications/Emulators/VICE" title="C128 Emulator" longtitle="Commodore 128 Emulator" mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="%{_bindir}/xpet" needs="X11" icon="peticon.png" section="Applications/Emulators/VICE" title="PET Emulator" longtitle="Commodore PET Emulator" mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="%{_bindir}/xvic" needs="X11" icon="vic20icon.png" section="Applications/Emulators/VICE" title="VIC 20 Emulator" longtitle="Commodore VIC 20 Emulator" mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="%{_bindir}/xcbm2" needs="X11" icon="c610icon.png" section="Applications/Emulators/VICE" title="CBM2 Emulator" longtitle="Commodore BM 2 Emulator" mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="%{_bindir}/xplus4" needs="X11" icon="plus4icon.png" section="Applications/Emulators/VICE" title="CPLUS4 Emulator" longtitle="Commodore PLUS4 Emulator" mimetypes="application/x-d64,application/x-t64,application-x-x64"
?package(vice):command="xvt -e %{_bindir}/c1541" needs="X11" icon="commodore.png" section="Applications/Emulators/VICE" title="VICE disk image tool" longtitle="C1541 stand alone disk image maintenance program"
?package(vice):command="%{_bindir}/vsid" needs="X11" icon="commodore.png" section="Multimedia/Sound" title="VSID music player" longtitle="VICE SID music player for Commodore tunes"
EOF

#install icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xjf %{SOURCE2} -C $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
tar xjf %{SOURCE3} -C $RPM_BUILD_ROOT%{_miconsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info vice.info

%{update_menus}

%postun
%_remove_install_info vice.info

%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_bindir}/*
%{_libdir}/vice
%{_mandir}/man1/*
%{_infodir}/*info*
%{_menudir}/vice
%{_iconsdir}/*

%changelog
* Thu Aug 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14-4mdk
- rebuild for new menu

* Tue Aug 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14-3mdk
- fix crash on 64 bit architectures (P0)
- update url

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14-2mdk
- rebuild for new g++

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 1.14-1mdk
- New release 1.14

* Sun Sep 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.13-1mdk
- drop useless prefix
- fix buildrequires
- new version

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.12-1mdk
- buildrequires cleanup
- move menu entries to a submenu
- new version

* Mon Mar 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.11-4mdk
- disable inline for the alpha build

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.11-3mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.11-2mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.11-1mdk
- fix file list
- remove bogus optflags
- new version

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.10-3mdk
- rebuild

* Sat Oct 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.10-2mdk
- enable fullscreen

* Sat Oct 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.10-1mdk
- as a test, include some mime types in the menu entries
- build with gnome ui
- 1.10

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.9-4mdk
- fix the libdir warning
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.9-3mdk
- gcc 3.2 build

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-2mdk
- rebuild for new readline

* Wed Jun  5 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9-1mdk
- 1.9
- Update URL

* Tue Feb 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.8-2mdk
- update menu entries and icons
- update documentation 

* Wed Feb 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.8-1mdk
- add all binaries
- drop patch
- 1.8

* Thu Jan 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.7-3mdk
- png icons 

* Thu Oct 11 2001 Etienne Faure <etienne@mandrakesoft.com> 1.7-2mdk
- Requires libpng2 ->libpng3

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.7-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
	- 1.7
	- patched configure.in to fix compilation
	- s/Copyright/License/
	- some more macros
	- some BuildRequires

* Mon Jan  1 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-1mdk
- 1.6
- fixed icons
- used %%find_lang macro

* Wed Aug 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- updated to 1.5
- added locale files
- fixed scripts
- merged menu with spec

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- initial mandrake package

    
